Package com.documentum.fc.client.acs

# Interface IDfContentTransferCapability

public interface IDfContentTransferCapability
IDfContentTransferCapability Only DFC is allowed to implement this interface. Other implementations are not supported.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final IDfContentTransferCapability`
  `ASYNCHRONOUS_WRITE`
  Deprecated.
  As of version 6.5, replaced by `DfContentTransferCapabilities.ASYNCHRONOUS_WRITE`.
  `static final IDfContentTransferCapability`
  `PREDICTIVE_CACHING`
  Deprecated.
  As of version 6.5, replaced by `DfContentTransferCapabilities.PREDICTIVE_CACHING`.
  `static final IDfContentTransferCapability`
  `READ`
  Deprecated.
  As of version 6.5, replaced by `DfContentTransferCapabilities.READ`.
  `static final IDfContentTransferCapability`
  `WRITE`
  Deprecated.
  As of version 6.5, replaced by `DfContentTransferCapabilities.WRITE`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`

- ## Field Details

  - ### READ

    @Deprecated static final IDfContentTransferCapability READ
    Deprecated.
    As of version 6.5, replaced by `DfContentTransferCapabilities.READ`.
    Read content transfer capability

  - ### WRITE

    @Deprecated static final IDfContentTransferCapability WRITE
    Deprecated.
    As of version 6.5, replaced by `DfContentTransferCapabilities.WRITE`.
    Write content transfer capability

  - ### ASYNCHRONOUS_WRITE

    @Deprecated static final IDfContentTransferCapability ASYNCHRONOUS_WRITE
    Deprecated.
    As of version 6.5, replaced by `DfContentTransferCapabilities.ASYNCHRONOUS_WRITE`.
    Asynchronous write content transfer capability

  - ### PREDICTIVE_CACHING

    @Deprecated static final IDfContentTransferCapability PREDICTIVE_CACHING
    Deprecated.
    As of version 6.5, replaced by `DfContentTransferCapabilities.PREDICTIVE_CACHING`.
    Predictive caching content transfer capability

- ## Method Details

  - ### getName

    String getName()